com.google.gwt.user.client.ui

## Interface SourcesScrollEvents

All Known Implementing Classes:
  CustomScrollPanel, ScrollPanel

Deprecated.
use `HasScrollHandlers` instead

    @Deprecated
    public interface SourcesScrollEvents

A widget that implements this interface sources the events defined by the `ScrollListener` interface.

### Method Summary

All Methods Instance Methods Abstract Methods Deprecated Methods
`void` `addScrollListener(ScrollListener listener)` Deprecated. use `HasScrollHandlers.addScrollHandler(com.google.gwt.event.dom.client.ScrollHandler)` instead
`void` `removeScrollListener(ScrollListener listener)` Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by `HasScrollHandlers.addScrollHandler(com.google.gwt.event.dom.client.ScrollHandler)` instead

### Method Detail

#### addScrollListener

    @Deprecated
    void addScrollListener(ScrollListener listener)

Deprecated. use `HasScrollHandlers.addScrollHandler(com.google.gwt.event.dom.client.ScrollHandler)` instead
Adds a listener interface to receive scroll events.

Parameters:
  `listener` - the listener interface to add

#### removeScrollListener

    @Deprecated
    void removeScrollListener(ScrollListener listener)

Deprecated. Use the `HandlerRegistration.removeHandler()` method on the object returned by `HasScrollHandlers.addScrollHandler(com.google.gwt.event.dom.client.ScrollHandler)` instead
Removes a previously added scroll listener.

Parameters:
  `listener` - the listener interface to remove